aboutsummaryrefslogtreecommitdiff
path: root/git-fetch.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2007-03-04 17:31:21 -0800
committerJunio C Hamano <junkio@cox.net>2007-03-04 17:31:21 -0800
commit3ddad98b74924d76116d05e7601ab1e163d68500 (patch)
tree203307192a8a98545f0cb892ed477766f622c9cf /git-fetch.sh
parente6f95113431f7e69263bc3d075c0a7715ce587e3 (diff)
parentb0e908977ebe43b49badad7fe34bf259dd5d263b (diff)
downloadgit-3ddad98b74924d76116d05e7601ab1e163d68500.tar.gz
git-3ddad98b74924d76116d05e7601ab1e163d68500.tar.xz
Merge branch 'js/fetch-progress' (early part)
* 'js/fetch-progress' (early part): Fixup no-progress for fetch & clone fetch & clone: do not output progress when not on a tty Conflicts: git-fetch.sh
Diffstat (limited to 'git-fetch.sh')
-rwxr-xr-xgit-fetch.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/git-fetch.sh b/git-fetch.sh
index 59bee5db0..5ae0d28cc 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -24,6 +24,8 @@ update_head_ok=
exec=
keep=
shallow_depth=
+no_progress=
+test -t 1 || no_progress=--no-progress
while case "$#" in 0) break ;; esac
do
case "$1" in
@@ -392,7 +394,8 @@ fetch_main () {
git-bundle unbundle "$remote" $rref ||
echo failed "$remote"
else
- git-fetch-pack --thin $exec $keep $shallow_depth "$remote" $rref ||
+ git-fetch-pack --thin $exec $keep $shallow_depth $no_progress \
+ "$remote" $rref ||
echo failed "$remote"
fi
) |